### Constructor

# Ide TextEdit new

#### Declaration

    IdeTextEdit*
    ide_text_edit_new (
      IdeRange* range,
      const gchar* text
    )

#### Description

No description available.

#### Parameters

`range` | `IdeRange`
| No description available.
| The data is owned by the caller of the function.
`text` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `IdeTextEdit`
| No description available.
| The caller of the function takes ownership of the data, and is responsible for freeing it.